%ifarch x86_64
%define libdir /lib64
%else
%define libdir /lib
%endif

Summary:	pam_setitem PAM module
Name:		pam_ru_setitem
Version:	1.0
Release:	3.ru6
License:	Rutgers University
Group:		System/Authentication
Source:		pam_setitem-%{version}.tar.gz
URL:		http://oss.rutgers.edu/
Distribution:	RU-Solaris
Vendor:		NBCS-OSS
Packager:	Brian Schubert <schubert@nbcs.rutgers.edu>
BuildRoot:	%{_tmppath}/%{name}-root
BuildRequires:	pam-devel

%description
pam_setitem.so is used to call the pam_set_item(3PAM) function from within 
the PAM stack as defined in pam.conf(4).
(from the man page)

%prep
%setup -q -n pam_setitem-%{version}

%build
make LDFLAGS+="--build-id -x -shared" LFLAGS+="--build-id -x -shared"

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/share/man/man5
mkdir -p %{buildroot}%{libdir}/security
cp pam_setitem.so %{buildroot}%{libdir}/security
cp pam_setitem.5 %{buildroot}/usr/share/man/man5

%clean
rm -rf %{buildroot}

%files
%attr(644, root, bin) /usr/share/man/man5/pam_setitem.5.gz
%attr(755, root, root) %{libdir}/security/pam_setitem.so

%changelog
* Mon Feb 13 2012 Jarek Sedlacek <jarek@nbcs.rutgers.edu> - 1.0-3.ru6
- Fixed built for CentOS6 ( added --build-id -x -shared to linker flags)

* Tue Dec 23 2008 Brian Schubert <schubert@nbcs.rutgers.edu> - 1.0-2.ru
- Added pam-devel to BuildRequires
* Thu Jul 24 2008 Brian Schubert <schubert@nbcs.rutgers.edu> - 1.0-1
- Initial build for CentOS 5.
